<?php
/// @Brief 任务前置条件值类型
///
class TaskPreConditionValueType
{
    // @function 获取值类型列表
    //
    // @return 值类型列表
    public static function getValueTypes(){
        return [
            array('id' => 0,'name' => '男'),
            array('id' => 1,'name' => '女'),
            array('id' => 2,'name' => '小于'),
            array('id' => 3,'name' => '等于'),
            array('id' => 4,'name' => '大于'),
            array('id' => 5,'name' => '不等于'),
            array('id' => 6,'name' => '区间'),
            array('id' => 7,'name' => '是'),
            array('id' => 8,'name' => '否'),
            array('id' => 9,'name' => '白天'),
            array('id' => 10,'name' => '晚上'),
        ];
    }

    // @function 查找值类型
    //
    // @param id     编号
    // @param values 值类型列表
    // @return 值类型
    public static function findValueType($id,$values)
    {
        if (empty($values))
            return '';

        foreach ($values as $value){
            if ($value['id'] == $id)
                return $value;
        }

        return '';
    }
}