<?php

/// @Brief 用户任务db
interface IUserTaskDb
{
    // @function 获取用户任务
    //
    // @param userId 用户编号
    // @return 用户任务列表
   function getUserTaskByUserId($userId);

    // @function 获取用户信息
    //
    // @param userId 用户编号
    // @return 用户任务信息
    function getUserInfoByUserId($userId);

    // @function 获取任务信息
    //
    // @param id 任务编号
    // @return 任务信息
    function getTaskInfoById($id);

//    // @function 更新用户任务
//    //
//    // @param userTaskInfo 用户任务信息
//    //
//    function updateUserTask($userTaskInfo);
}